# $Revision: 1.17.2.1 $, $Date: 2007/02/08 22:28:54 $
Summary:	Shared library to access the contents of an iPod
Summary(pl):	Biblioteka wspdzielona do dostpu do zawartoci iPodw
Name:		libgpod
Version:	0.4.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/gtkpod/%{name}-%{version}.tar.gz
# Source0-md5:	c3c031dc6f1f6eff422598c84f2621bd
URL:		http://www.gtkpod.org/libgpod.html
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.30
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	hal-devel < 0.6
BuildRequires:	hal-devel >= 0.5.7.1
BuildRequires:	intltool >= 0.35
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.1.1
BuildRequires:	python-eyeD3 >= 0.6.6
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python >= 1.3.24
# for noinst test only
#BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%description -l pl
libgpod to biblioteka majca na celu wyabstrahowanie dostpu do
zawartoci iPodw. Udostpnia atwe w uyciu API do pobierania listy
plikw i playlist zapisanych na iPodzie, modyfikowania ich i
zapisywania z powrotem na iPoda.

%package devel
Summary:	Header files for libgpod library
Summary(pl):	Pliki nagwkowe biblioteki libgpod
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.30
Requires:	gtk+2-devel >= 2.0
Requires:	hal-devel >= 0.5.7.1

%description devel
This is the package containing the header files for libgpod library.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki libgpod.

%package static
Summary:	Static libgpod library
Summary(pl):	Statyczna biblioteka libgpod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgpod library.

%description static -l pl
Statyczna biblioteka libgpod.

%package -n python-gpod
Summary:	Libraries for libgpod access from Python
Summary(pl):	Biblioteki Pythona umoliwiajce korzystanie z libgpod
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-eyeD3 >= 0.6.6
%pyrequires_eq	python-libs

%description -n python-gpod
This is the libgpod Python support package.

%description -n python-gpod -l pl
Biblioteki umoliwiajce korzystanie z libgpod z poziomu
Pythona.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--with-python=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libgpod.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgpod.so
%{_libdir}/libgpod.la
%{_pkgconfigdir}/libgpod-1.0.pc
%{_includedir}/gpod-1.0
%{_gtkdocdir}/libgpod

%files static
%defattr(644,root,root,755)
%{_libdir}/libgpod.a

%files -n python-gpod
%defattr(644,root,root,755)
%dir %{py_sitedir}/gpod
%{py_sitedir}/gpod/*.py[co]
%attr(755,root,root) %{py_sitedir}/gpod/_gpod.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgpod.spec,v $
Revision 1.17.2.1  2007/02/08 22:28:54  glen
- AC deps

Revision 1.17  2007/02/01 20:34:33  patrys
- 0.4.2

Revision 1.16  2006/11/15 10:32:24  qboosh
- added python patch, moved python binary module to proper place
- removed non-existing configure options
- package gtkdoc files

Revision 1.15  2006/11/14 19:31:24  patrys
- build python bindings

Revision 1.14  2006/10/08 16:22:54  qboosh
- dropped zero epoch (not present in deps)

Revision 1.13  2006/10/03 22:48:45  patrys
- up to 0.4.0

Revision 1.12  2006/08/29 11:28:27  paszczus
- updated to snap 20060829
- added BR: gtk-doc

Revision 1.11  2006/08/13 14:37:25  freetz
- rebuild with new dbus, include snap version in release

Revision 1.10  2006/07/15 18:57:12  freetz
- 20060715 snapshot, updated deps, --as-needed support, align patch looks
  obsolete - removed

Revision 1.9  2006/04/05 18:14:10  qboosh
- BR: gtk+2-devel (gdk_pixbuf), dbus-glib-devel
- more -devel deps

Revision 1.8  2006/02/16 03:45:05  aredridel
- up to 0.3.0 (thanks imphasing@gmail.com)

Revision 1.7  2005/11/28 18:11:15  freetz
- 0.2.0, run glib-getextize, full ac/am rebuild, dropped mkinstalldir hacks

Revision 1.6  2005/11/07 20:07:09  qboosh
- added align patch (build hack, not a real fix - it would require library usage
  changes; expect crashes on sparc and unaligned traps on alpha when headers
  are unaligned)

Revision 1.5  2005/11/07 20:04:02  qboosh
- pl

Revision 1.4  2005/11/06 17:16:34  glen
- corrections

Revision 1.3  2005/11/06 12:31:52  glen
- fix files

Revision 1.2  2005/11/06 12:04:50  glen
- todays snap (20051106); now builds

Revision 1.1  2005/11/06 11:43:05  glen
- new, amarok-svn and gtkpod 0.96.cvs use this
- build fails, missing db-itunes-parser.h in sources
